Subject: bug#42452: 27.0.91; hollow box cursor sometimes leaves artifacts

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Jul 2020 17:18:22 +0300

> From: Aaron Jensen <[email-masked]>
> Date: Mon, 20 Jul 2020 18:36:23 -0700
> 
> Unfortunately, the repro isn't clear, but after using Emacs for some
> time, the left side of the hollow box point will end up being slightly
> thicker than the right side. After this happens, when the point is
> moved, it will leave a faint line on the left side of the point.
> Restarting emacs will cause the point to be a uniform box.

I've scanned the X implementation of the hollow box, and couldn't find
where it does something that depends on HiDPI.  Can you spot anything
like that?